Subject: Re: [MMUSIC] I-D ACTION:draft-ietf-mmusic-fec-grouping-03.txt

From: Colin Perkins <[email-masked]>
Date: Tue, 4 Apr 2006 18:25:58 +0100

On 21 Mar 2006, at 20:50, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the Multiparty Multimedia Session  
> Control Working Group of the IETF.
>
> 	Title		: Forward Error Correction Grouping Semantics in Session  
> Description Protocol
> 	Author(s)	: A. Li
> 	Filename	: draft-ietf-mmusic-fec-grouping-03.txt
> 	Pages		: 7
> 	Date		: 2006-3-21
> 	
> This document defines the semantics that allows for grouping of
>    forward error correction (FEC) streams with the protected payload
>    streams in Session Description Protocol (SDP). The semantics  
> defined
>    in this document is to be used with Grouping of Media Lines in the
>    Session Description Protocol (RFC 3388) to group together "m" lines
>    in the same session.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-mmusic-fec- 
> grouping-03.txt

Re-reading this, I noticed a bug in the SDP example (section 4.3).  
The parity FEC codes use the "application" media type, but should  
match the media they are protecting:

        v=0
        o=adam 289083124 289083124 IN IP4 host.example.com
        s=ULP FEC Seminar
        t=0 0
        c=IN IP4 224.2.17.12/127
        a=group:FEC 1 2
        a=group:FEC 3 4
        m=audio 30000 RTP/AVP 0
        a=mid:1
        m=audio 30002 RTP/AVP 100
          ^^^^^
        a=rtpmap:100 ulpfec/8000
        a=mid:2
        m=video 30004 RTP/AVP 31
        a=mid:3
        m=video 30004 RTP/AVP 101
          ^^^^^
        c=IN IP4 224.2.17.13/127
        a=rtpmap:101 ulpfec/8000
        a=mid:4

Colin

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic